All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface AbstractTransformation

All Superinterfaces:
  CMetadata, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root

All Known Subinterfaces:
  AbstractJob, ClassifierMap, ColumnHierarchy, FeatureMap, JFJob, Job, Join, MiningResult, Select, SyncStep, Transformation, TransformationActivity, TransformationStep

    public interface AbstractTransformation

extends PrimaryType

The parent type for transformation types. Transformation types are used to document transformation of data. This includes extraction, transformation, and loading of data, stored procedures, and logical to physical mappings. AbstractTransformation is a supertype that defines common attributes and associations that are shared by metadata types that describe the steps and activities in the transformation process.

This metadata type should not be instantiated. Instead, use the appropriate subtype to represent the steps and activities in a transformation.

Attributes of AbstractTransformation are:

- `IsActive`
- `TransformRole`
- `IsUserDefined`

Associations of AbstractTransformation are:

- `ComputeLocations`
- `ConditionActionSets`
- `DeployedComponents`
- `SourceCode`
- `SourceSpecifications`
- `TargetSpecifications`
- `TransformationSources`
- `Customizers`
- `SubstitutionVariables`
- `TransformationTargets`
- `TriggeredEvents`
- `TriggeringEvents`

## Usage

To create an instance of this AbstractTransformation, use the `factory` create methods.
Example: create a AbstractTransformation with name "AbstractTransformation_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     AbstractTransformation myObject = (AbstractTransformation) factory.createComplexMetadataObject(objectStore, "AbstractTransformation_Object", MetadataObjects.ABSTRACTTRANSFORMATION, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_COMPUTELOCATIONS_NAME` Constant used for the name of the ComputeLocations association.
`static java.lang.String` | `ASSOCIATION_CONDITIONACTIONSETS_NAME` Constant used for the name of the ConditionActionSets association.
`static java.lang.String` | `ASSOCIATION_CUSTOMIZERS_NAME` Constant used for the name of the Customizers association.
`static java.lang.String` | `ASSOCIATION_DEPLOYEDCOMPONENTS_NAME` Constant used for the name of the DeployedComponents association.
`static java.lang.String` | `ASSOCIATION_SOURCECODE_NAME` Constant used for the name of the SourceCode association.
`static java.lang.String` | `ASSOCIATION_SOURCESPECIFICATIONS_NAME` Constant used for the name of the SourceSpecifications association.
`static java.lang.String` | `ASSOCIATION_SUBSTITUTIONVARIABLES_NAME` Constant used for the name of the SubstitutionVariables association.
`static java.lang.String` | `ASSOCIATION_TARGETSPECIFICATIONS_NAME` Constant used for the name of the TargetSpecifications association.
`static java.lang.String` | `ASSOCIATION_TRANSFORMATIONSOURCES_NAME` Constant used for the name of the TransformationSources association.
`static java.lang.String` | `ASSOCIATION_TRANSFORMATIONTARGETS_NAME` Constant used for the name of the TransformationTargets association.
`static java.lang.String` | `ASSOCIATION_TRIGGEREDEVENTS_NAME` Constant used for the name of the TriggeredEvents association.
`static java.lang.String` | `ASSOCIATION_TRIGGERINGEVENTS_NAME` Constant used for the name of the TriggeringEvents association.
`static java.lang.String` | `ATTRIBUTE_ISACTIVE_NAME` Constant used for the name of the IsActive attribute.
`static java.lang.String` | `ATTRIBUTE_ISUSERDEFINED_NAME` Constant used for the name of the IsUserDefined attribute.
`static java.lang.String` | `ATTRIBUTE_TRANSFORMROLE_NAME` Constant used for the name of the TransformRole attribute.

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`AssociationList` | `getComputeLocations()` Gets the AssociationList of `ComputeLocations`
`AssociationList` | `getComputeLocations(boolean fGoToServer)` Gets the Associationlist of `ComputeLocations`
`AssociationList` | `getConditionActionSets()` Gets the AssociationList of `ConditionActionSets`
`AssociationList` | `getConditionActionSets(boolean fGoToServer)` Gets the Associationlist of `ConditionActionSets`
`AssociationList` | `getCustomizers()` Gets the Association list of `Customizers`
`AssociationList` | `getCustomizers(boolean fGoToServer)` Gets the Associationlist of `Customizers`
`AssociationList` | `getDeployedComponents()` Gets the AssociationList of `DeployedComponents`
`AssociationList` | `getDeployedComponents(boolean fGoToServer)` Gets the Associationlist of `DeployedComponents`
`int` | `getIsActive()` Gets the `int` value of `IsActive`
`int` | `getIsActiveState()` Gets the Metadata State of `IsActive`
`int` | `getIsUserDefined()` Gets the `int` value of `IsUserDefined`
`int` | `getIsUserDefinedState()` Gets the Metadata State of `IsUserDefined`
`Text` | `getSourceCode()` Gets the `Text` for `SourceCode`
`AssociationList` | `getSourceCodes()` Gets the AssociationList of `SourceCodes`
`AssociationList` | `getSourceCodes(boolean fGoToServer)` Gets the Associationlist of `SourceCodes`
`AssociationList` | `getSourceSpecifications()` Gets the AssociationList of `SourceSpecifications`
`AssociationList` | `getSourceSpecifications(boolean fGoToServer)` Gets the Associationlist of `SourceSpecifications`
`AssociationList` | `getSubstitutionVariables()` Gets the Association list of `SubstitutionVariables`
`AssociationList` | `getSubstitutionVariables(boolean fGoToServer)` Gets the Associationlist of `SubstitutionVariables`
`AssociationList` | `getTargetSpecifications()` Gets the AssociationList of `TargetSpecifications`
`AssociationList` | `getTargetSpecifications(boolean fGoToServer)` Gets the Associationlist of `TargetSpecifications`
`AssociationList` | `getTransformationSources()` Gets the AssociationList of `TransformationSources`
`AssociationList` | `getTransformationSources(boolean fGoToServer)` Gets the Associationlist of `TransformationSources`
`AssociationList` | `getTransformationTargets()` Gets the Association list of `TransformationTargets`
`AssociationList` | `getTransformationTargets(boolean fGoToServer)` Gets the Associationlist of `TransformationTargets`
`java.lang.String` | `getTransformRole()` Gets the `String` value of `TransformRole`
`int` | `getTransformRoleMaxLength()` Gets the maximum length of `TransformRole`
`int` | `getTransformRoleState()` Gets the Metadata State of `TransformRole`
`AssociationList` | `getTriggeredEvents()` Gets the Association list of `TriggeredEvents`
`AssociationList` | `getTriggeredEvents(boolean fGoToServer)` Gets the Associationlist of `TriggeredEvents`
`AssociationList` | `getTriggeringEvents()` Gets the Association list of `TriggeringEvents`
`AssociationList` | `getTriggeringEvents(boolean fGoToServer)` Gets the Associationlist of `TriggeringEvents`
`void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `ComputeLocations` `ConditionActionSets` `DeployedComponents` `SourceCode` `SourceSpecifications` `TargetSpecifications` `TransformationSources`
`void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`void` | `setComputeLocations(AssociationList list)` Sets the `ComputeLocations` list to be `list`.
`void` | `setComputeLocations(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setConditionActionSets(AssociationList list)` Sets the `ConditionActionSets` list to be `list`.
`void` | `setConditionActionSets(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setCustomizers(AssociationList list)` Sets the `Customizers` list to be `list`.
`void` | `setCustomizers(AssociationList inObjects, int state)` Sets the entire Customizers list to match the passed in AssociationList, sets the state of the Customizers
`void` | `setDeployedComponents(AssociationList list)` Sets the `DeployedComponents` list to be `list`.
`void` | `setDeployedComponents(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setIsActive(int inIsActive)` Sets the `IsActive` value and sets the state to MetadataState.LOCAL.
`void` | `setIsActive(int inIsActive, int state)` Sets the `IsActive` Metadata State.
`void` | `setIsActive(java.lang.String inIsActive)` Sets the `IsActive` value and sets the state to MetadataState.LOCAL.
`void` | `setIsActive(java.lang.String inIsActive, int state)` Sets the `IsActive` value and Metadata State.
`void` | `setIsActiveState(int state)` Sets the Metadata State of `IsActive`.
`void` | `setIsUserDefined(int inIsUserDefined)` Sets the `IsUserDefined` value and sets the state to MetadataState.LOCAL.
`void` | `setIsUserDefined(int inIsUserDefined, int state)` Sets the `IsUserDefined` Metadata State.
`void` | `setIsUserDefined(java.lang.String inIsUserDefined)` Sets the `IsUserDefined` value and sets the state to MetadataState.LOCAL.
`void` | `setIsUserDefined(java.lang.String inIsUserDefined, int state)` Sets the `IsUserDefined` value and Metadata State.
`void` | `setIsUserDefinedState(int state)` Sets the Metadata State of `IsUserDefined`.
`void` | `setSourceCode(Text inObject)` Sets the `SourceCodes` list 0th element to be `inObject`.
`void` | `setSourceCodes(AssociationList list)` Sets the `SourceCodes` list to be `list`.
`void` | `setSourceCodes(AssociationList list, int state)` Sets the `SourceCodes` list to be `list`.
`void` | `setSourceSpecifications(AssociationList list)` Sets the `SourceSpecifications` list to be `list`.
`void` | `setSourceSpecifications(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setSubstitutionVariables(AssociationList list)` Sets the `SubstitutionVariables` list to be `list`.
`void` | `setSubstitutionVariables(AssociationList inObjects, int state)` Sets the entire SubstitutionVariables list to match the passed in AssociationList, sets the state of the SubstitutionVariables
`void` | `setTargetSpecifications(AssociationList list)` Sets the `TargetSpecifications` list to be `list`.
`void` | `setTargetSpecifications(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setTransformationSources(AssociationList list)` Sets the `TransformationSources` list to be `list`.
`void` | `setTransformationSources(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setTransformationTargets(AssociationList list)` Sets the `TransformationTargets` list to be `list`.
`void` | `setTransformationTargets(AssociationList inObjects, int state)` Sets the entire TransformationTargets list to match the passed in AssociationList, sets the state of the TransformationTargets
`void` | `setTransformRole(java.lang.String inTransformRole)` Sets the `TransformRole` value and sets the state to MetadataState.LOCAL.
`void` | `setTransformRole(java.lang.String inTransformRole, int state)` Sets the `TransformRole` Metadata State.
`void` | `setTransformRoleState(int state)` Sets the Metadata State of `TransformRole`.
`void` | `setTriggeredEvents(AssociationList list)` Sets the `TriggeredEvents` list to be `list`.
`void` | `setTriggeredEvents(AssociationList inObjects, int state)` Sets the entire TriggeredEvents list to match the passed in AssociationList, sets the state of the TriggeredEvents
`void` | `setTriggeringEvents(AssociationList list)` Sets the `TriggeringEvents` list to be `list`.
`void` | `setTriggeringEvents(AssociationList inObjects, int state)` Sets the entire TriggeringEvents list to match the passed in AssociationList, sets the state of the TriggeringEvents

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_ISACTIVE_NAME

    static final java.lang.String ATTRIBUTE_ISACTIVE_NAME

  Constant used for the name of the IsActive attribute.

  IsActive: A boolean that indicates whether this process should be executed as part of the overall transformation flow. False means do not execute this process, true means execute this process. The default value is true.

  See Also:
    Constant Field Values

### ATTRIBUTE_TRANSFORMROLE_NAME

    static final java.lang.String ATTRIBUTE_TRANSFORMROLE_NAME

  Constant used for the name of the TransformRole attribute.

  TransformRole: A standardized description of the function or context of this transformation.

  See Also:
    Constant Field Values

### ATTRIBUTE_ISUSERDEFINED_NAME

    static final java.lang.String ATTRIBUTE_ISUSERDEFINED_NAME

  Constant used for the name of the IsUserDefined attribute.

  IsUserDefined: If this attribute is set to true, the associated source code should be used to perform the transformation. If the attribute is set to false the application may generate the necessary code.

  See Also:
    Constant Field Values

### ASSOCIATION_COMPUTELOCATIONS_NAME

    static final java.lang.String ASSOCIATION_COMPUTELOCATIONS_NAME

  Constant used for the name of the ComputeLocations association.

  ComputeLocations: The list of deployed components that may execute this process.

  See Also:
    Constant Field Values

### ASSOCIATION_CONDITIONACTIONSETS_NAME

    static final java.lang.String ASSOCIATION_CONDITIONACTIONSETS_NAME

  Constant used for the name of the ConditionActionSets association.

  ConditionActionSets: The condition action sets for this transformation.

  See Also:
    Constant Field Values

### ASSOCIATION_DEPLOYEDCOMPONENTS_NAME

    static final java.lang.String ASSOCIATION_DEPLOYEDCOMPONENTS_NAME

  Constant used for the name of the DeployedComponents association.

  DeployedComponents: The deployed components that use these processes as part of initialization.

  See Also:
    Constant Field Values

### ASSOCIATION_SOURCECODE_NAME

    static final java.lang.String ASSOCIATION_SOURCECODE_NAME

  Constant used for the name of the SourceCode association.

  SourceCode: The source code for this transformation.

  See Also:
    Constant Field Values

### ASSOCIATION_SOURCESPECIFICATIONS_NAME

    static final java.lang.String ASSOCIATION_SOURCESPECIFICATIONS_NAME

  Constant used for the name of the SourceSpecifications association.

  SourceSpecifications: The objects that describe the sources for this transformation. These are specifications of the sources, not the actual sources themselves.

  See Also:
    Constant Field Values

### ASSOCIATION_TARGETSPECIFICATIONS_NAME

    static final java.lang.String ASSOCIATION_TARGETSPECIFICATIONS_NAME

  Constant used for the name of the TargetSpecifications association.

  TargetSpecifications: The objects that describe the targets for this transformation. These are specifications of the targets, not the actual sources themselves.

  See Also:
    Constant Field Values

### ASSOCIATION_TRANSFORMATIONSOURCES_NAME

    static final java.lang.String ASSOCIATION_TRANSFORMATIONSOURCES_NAME

  Constant used for the name of the TransformationSources association.

  TransformationSources: The set of inputs to the transformation.

  See Also:
    Constant Field Values

### ASSOCIATION_CUSTOMIZERS_NAME

    static final java.lang.String ASSOCIATION_CUSTOMIZERS_NAME

  Constant used for the name of the Customizers association.

  Customizers: The software components that act as a customizer for this transformation.

  See Also:
    Constant Field Values

### ASSOCIATION_SUBSTITUTIONVARIABLES_NAME

    static final java.lang.String ASSOCIATION_SUBSTITUTIONVARIABLES_NAME

  Constant used for the name of the SubstitutionVariables association.

  SubstitutionVariables: The variables associated with this transformation.

  See Also:
    Constant Field Values

### ASSOCIATION_TRANSFORMATIONTARGETS_NAME

    static final java.lang.String ASSOCIATION_TRANSFORMATIONTARGETS_NAME

  Constant used for the name of the TransformationTargets association.

  TransformationTargets: The set of results from the transformation.

  See Also:
    Constant Field Values

### ASSOCIATION_TRIGGEREDEVENTS_NAME

    static final java.lang.String ASSOCIATION_TRIGGEREDEVENTS_NAME

  Constant used for the name of the TriggeredEvents association.

  TriggeredEvents: The events that are triggered by these transforms.

  See Also:
    Constant Field Values

### ASSOCIATION_TRIGGERINGEVENTS_NAME

    static final java.lang.String ASSOCIATION_TRIGGERINGEVENTS_NAME

  Constant used for the name of the TriggeringEvents association.

  TriggeringEvents: The events that trigger this transform.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `ComputeLocations`
  `ConditionActionSets`
  `DeployedComponents`
  `SourceCode`
  `SourceSpecifications`
  `TargetSpecifications`
  `TransformationSources`

  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsActive

    int getIsActive()
                    throws java.rmi.RemoteException

  Gets the `int` value of `IsActive`

  Returns:
    The `IsActive`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsActiveState

    int getIsActiveState()
                         throws java.rmi.RemoteException

  Gets the Metadata State of `IsActive`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getTransformRole

    java.lang.String getTransformRole()
                                      throws java.rmi.RemoteException

  Gets the `String` value of `TransformRole`

  Returns:
    The `TransformRole`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getTransformRoleState

    int getTransformRoleState()
                              throws java.rmi.RemoteException

  Gets the Metadata State of `TransformRole`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getTransformRoleMaxLength

    int getTransformRoleMaxLength()
                                  throws java.rmi.RemoteException

  Gets the maximum length of `TransformRole`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsUserDefined

    int getIsUserDefined()
                         throws java.rmi.RemoteException

  Gets the `int` value of `IsUserDefined`

  Returns:
    The `IsUserDefined`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsUserDefinedState

    int getIsUserDefinedState()
                              throws java.rmi.RemoteException

  Gets the Metadata State of `IsUserDefined`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getComputeLocations

    AssociationList getComputeLocations()
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the AssociationList of `ComputeLocations`

  Returns:
    Returns the AssociationList of `ComputeLocations` which can be of type:
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getConditionActionSets

    AssociationList getConditionActionSets()
                                           throws java.rmi.RemoteException,
                                                  MdException

  Gets the AssociationList of `ConditionActionSets`

  Returns:
    Returns the AssociationList of `ConditionActionSets` which can be of type:
    ConditionActionSet
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDeployedComponents

    AssociationList getDeployedComponents()
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the AssociationList of `DeployedComponents`

  Returns:
    Returns the AssociationList of `DeployedComponents` which can be of type:
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSourceCodes

    AssociationList getSourceCodes()
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the AssociationList of `SourceCodes`

  Returns:
    Returns the AssociationList of `SourceCodes` which can be of type:
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getSourceCode

    Text getSourceCode()
                       throws java.rmi.RemoteException,
                              MdException

  Gets the `Text` for `SourceCode`

  Returns:
    The `Text` ( `null` if not set) of `SourceCode`which can be of type:
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSourceSpecifications

    AssociationList getSourceSpecifications()
                                            throws java.rmi.RemoteException,
                                                   MdException

  Gets the AssociationList of `SourceSpecifications`

  Returns:
    Returns the AssociationList of `SourceSpecifications` which can be of type:
    All types
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTargetSpecifications

    AssociationList getTargetSpecifications()
                                            throws java.rmi.RemoteException,
                                                   MdException

  Gets the AssociationList of `TargetSpecifications`

  Returns:
    Returns the AssociationList of `TargetSpecifications` which can be of type:
    All types
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTransformationSources

    AssociationList getTransformationSources()
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the AssociationList of `TransformationSources`

  Returns:
    Returns the AssociationList of `TransformationSources` which can be of type:
    All types
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getCustomizers

    AssociationList getCustomizers()
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the Association list of `Customizers`

  Returns:
    The AssociationList of `Customizers` which can be of type:
    SoftwareComponent
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSubstitutionVariables

    AssociationList getSubstitutionVariables()
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the Association list of `SubstitutionVariables`

  Returns:
    The AssociationList of `SubstitutionVariables` which can be of type:
    Variable
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTransformationTargets

    AssociationList getTransformationTargets()
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the Association list of `TransformationTargets`

  Returns:
    The AssociationList of `TransformationTargets` which can be of type:
    All types
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTriggeredEvents

    AssociationList getTriggeredEvents()
                                       throws java.rmi.RemoteException,
                                              MdException

  Gets the Association list of `TriggeredEvents`

  Returns:
    The AssociationList of `TriggeredEvents` which can be of type:
    Event
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTriggeringEvents

    AssociationList getTriggeringEvents()
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Association list of `TriggeringEvents`

  Returns:
    The AssociationList of `TriggeringEvents` which can be of type:
    Event
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getComputeLocations

    AssociationList getComputeLocations(boolean fGoToServer)
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Associationlist of `ComputeLocations`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `ComputeLocations` which can be of type:
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getConditionActionSets

    AssociationList getConditionActionSets(boolean fGoToServer)
                                           throws java.rmi.RemoteException,
                                                  MdException

  Gets the Associationlist of `ConditionActionSets`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `ConditionActionSets` which can be of type:
    ConditionActionSet
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDeployedComponents

    AssociationList getDeployedComponents(boolean fGoToServer)
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the Associationlist of `DeployedComponents`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `DeployedComponents` which can be of type:
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSourceCodes

    AssociationList getSourceCodes(boolean fGoToServer)
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the Associationlist of `SourceCodes`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `SourceCodes` which can be of type:
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSourceSpecifications

    AssociationList getSourceSpecifications(boolean fGoToServer)
                                            throws java.rmi.RemoteException,
                                                   MdException

  Gets the Associationlist of `SourceSpecifications`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `SourceSpecifications` which can be of type:
    All types
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTargetSpecifications

    AssociationList getTargetSpecifications(boolean fGoToServer)
                                            throws java.rmi.RemoteException,
                                                   MdException

  Gets the Associationlist of `TargetSpecifications`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `TargetSpecifications` which can be of type:
    All types
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTransformationSources

    AssociationList getTransformationSources(boolean fGoToServer)
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the Associationlist of `TransformationSources`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `TransformationSources` which can be of type:
    All types
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getCustomizers

    AssociationList getCustomizers(boolean fGoToServer)
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the Associationlist of `Customizers`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `Customizers` which can be of type:
    SoftwareComponent
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSubstitutionVariables

    AssociationList getSubstitutionVariables(boolean fGoToServer)
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the Associationlist of `SubstitutionVariables`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `SubstitutionVariables` which can be of type:
    Variable
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTransformationTargets

    AssociationList getTransformationTargets(boolean fGoToServer)
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the Associationlist of `TransformationTargets`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `TransformationTargets` which can be of type:
    All types
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTriggeredEvents

    AssociationList getTriggeredEvents(boolean fGoToServer)
                                       throws java.rmi.RemoteException,
                                              MdException

  Gets the Associationlist of `TriggeredEvents`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `TriggeredEvents` which can be of type:
    Event
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTriggeringEvents

    AssociationList getTriggeringEvents(boolean fGoToServer)
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Associationlist of `TriggeringEvents`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `TriggeringEvents` which can be of type:
    Event
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setIsActive

    void setIsActive(int inIsActive)
                     throws java.rmi.RemoteException

  Sets the `IsActive` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsActive` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsActive

    void setIsActive(int inIsActive,
                     int state)
                     throws java.rmi.RemoteException

  Sets the `IsActive` Metadata State.

  Parameters:
    `inIsActive` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsActive

    void setIsActive(java.lang.String inIsActive)
                     throws java.rmi.RemoteException

  Sets the `IsActive` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsActive` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsActive

    void setIsActive(java.lang.String inIsActive,
                     int state)
                     throws java.rmi.RemoteException

  Sets the `IsActive` value and Metadata State.

  Parameters:
    `inIsActive` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsActiveState

    void setIsActiveState(int state)
                          throws java.rmi.RemoteException

  Sets the Metadata State of `IsActive`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTransformRole

    void setTransformRole(java.lang.String inTransformRole)
                          throws java.rmi.RemoteException

  Sets the `TransformRole` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inTransformRole` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTransformRole

    void setTransformRole(java.lang.String inTransformRole,
                          int state)
                          throws java.rmi.RemoteException

  Sets the `TransformRole` Metadata State.

  Parameters:
    `inTransformRole` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTransformRoleState

    void setTransformRoleState(int state)
                               throws java.rmi.RemoteException

  Sets the Metadata State of `TransformRole`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsUserDefined

    void setIsUserDefined(int inIsUserDefined)
                          throws java.rmi.RemoteException

  Sets the `IsUserDefined` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsUserDefined` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsUserDefined

    void setIsUserDefined(int inIsUserDefined,
                          int state)
                          throws java.rmi.RemoteException

  Sets the `IsUserDefined` Metadata State.

  Parameters:
    `inIsUserDefined` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsUserDefined

    void setIsUserDefined(java.lang.String inIsUserDefined)
                          throws java.rmi.RemoteException

  Sets the `IsUserDefined` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsUserDefined` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsUserDefined

    void setIsUserDefined(java.lang.String inIsUserDefined,
                          int state)
                          throws java.rmi.RemoteException

  Sets the `IsUserDefined` value and Metadata State.

  Parameters:
    `inIsUserDefined` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsUserDefinedState

    void setIsUserDefinedState(int state)
                               throws java.rmi.RemoteException

  Sets the Metadata State of `IsUserDefined`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setComputeLocations

    void setComputeLocations(AssociationList list)
                             throws java.rmi.RemoteException

  Sets the `ComputeLocations` list to be `list`. Objects of which can be of type:
  DeployedComponent
  ConfiguredComponent
  ServiceComponent
  ServerComponent
  LogicalServer
  ServerContext

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setComputeLocations

    void setComputeLocations(AssociationList inObjects,
                             int state)
                             throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setConditionActionSets

    void setConditionActionSets(AssociationList list)
                                throws java.rmi.RemoteException

  Sets the `ConditionActionSets` list to be `list`. Objects of which can be of type:
  ConditionActionSet

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setConditionActionSets

    void setConditionActionSets(AssociationList inObjects,
                                int state)
                                throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDeployedComponents

    void setDeployedComponents(AssociationList list)
                               throws java.rmi.RemoteException

  Sets the `DeployedComponents` list to be `list`. Objects of which can be of type:
  DeployedComponent
  ConfiguredComponent
  ServiceComponent
  ServerComponent
  LogicalServer
  ServerContext

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDeployedComponents

    void setDeployedComponents(AssociationList inObjects,
                               int state)
                               throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSourceCodes

    void setSourceCodes(AssociationList list)
                        throws java.rmi.RemoteException

  Sets the `SourceCodes` list to be `list`. Object of which can be of type:
  Text
  TextStore
  SASCatalogEntry
  File
  ArchiveFile
  ArchiveEntry
  Document

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSourceCodes

    void setSourceCodes(AssociationList list,
                        int state)
                        throws java.rmi.RemoteException

  Sets the `SourceCodes` list to be `list`. Object of which can be of type:
  Text
  TextStore
  SASCatalogEntry
  File
  ArchiveFile
  ArchiveEntry
  Document

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSourceCode

    void setSourceCode(Text inObject)
                       throws java.rmi.RemoteException

  Sets the `SourceCodes` list 0th element to be `inObject`.

  Parameters:
    `inObject` - Text
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSourceSpecifications

    void setSourceSpecifications(AssociationList list)
                                 throws java.rmi.RemoteException

  Sets the `SourceSpecifications` list to be `list`. Objects of which can be of type:
  All types

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSourceSpecifications

    void setSourceSpecifications(AssociationList inObjects,
                                 int state)
                                 throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTargetSpecifications

    void setTargetSpecifications(AssociationList list)
                                 throws java.rmi.RemoteException

  Sets the `TargetSpecifications` list to be `list`. Objects of which can be of type:
  All types

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTargetSpecifications

    void setTargetSpecifications(AssociationList inObjects,
                                 int state)
                                 throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTransformationSources

    void setTransformationSources(AssociationList list)
                                  throws java.rmi.RemoteException

  Sets the `TransformationSources` list to be `list`. Objects of which can be of type:
  All types

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTransformationSources

    void setTransformationSources(AssociationList inObjects,
                                  int state)
                                  throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCustomizers

    void setCustomizers(AssociationList list)
                        throws java.rmi.RemoteException

  Sets the `Customizers` list to be `list`. Objects of which can be of type:
  SoftwareComponent
  DeployedComponent
  ConfiguredComponent
  ServiceComponent
  ServerComponent
  LogicalServer
  ServerContext

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCustomizers

    void setCustomizers(AssociationList inObjects,
                        int state)
                        throws java.rmi.RemoteException

  Sets the entire Customizers list to match the passed in AssociationList, sets the state of the Customizers

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSubstitutionVariables

    void setSubstitutionVariables(AssociationList list)
                                  throws java.rmi.RemoteException

  Sets the `SubstitutionVariables` list to be `list`. Objects of which can be of type:
  Variable

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSubstitutionVariables

    void setSubstitutionVariables(AssociationList inObjects,
                                  int state)
                                  throws java.rmi.RemoteException

  Sets the entire SubstitutionVariables list to match the passed in AssociationList, sets the state of the SubstitutionVariables

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTransformationTargets

    void setTransformationTargets(AssociationList list)
                                  throws java.rmi.RemoteException

  Sets the `TransformationTargets` list to be `list`. Objects of which can be of type:
  All types

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTransformationTargets

    void setTransformationTargets(AssociationList inObjects,
                                  int state)
                                  throws java.rmi.RemoteException

  Sets the entire TransformationTargets list to match the passed in AssociationList, sets the state of the TransformationTargets

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTriggeredEvents

    void setTriggeredEvents(AssociationList list)
                            throws java.rmi.RemoteException

  Sets the `TriggeredEvents` list to be `list`. Objects of which can be of type:
  Event

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTriggeredEvents

    void setTriggeredEvents(AssociationList inObjects,
                            int state)
                            throws java.rmi.RemoteException

  Sets the entire TriggeredEvents list to match the passed in AssociationList, sets the state of the TriggeredEvents

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTriggeringEvents

    void setTriggeringEvents(AssociationList list)
                             throws java.rmi.RemoteException

  Sets the `TriggeringEvents` list to be `list`. Objects of which can be of type:
  Event

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTriggeringEvents

    void setTriggeringEvents(AssociationList inObjects,
                             int state)
                             throws java.rmi.RemoteException

  Sets the entire TriggeringEvents list to match the passed in AssociationList, sets the state of the TriggeringEvents

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.